Intel® C++ Compiler
Support and discussions for creating C++ code that runs on platforms based on Intel® processors.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
7569 Discussions

Problem of compatibility between VS 2019 and Intel C++compiler

PASantoni
Beginner
333 Views

I have juste installed Microsof Visual Studio Professional 2019 (Ver 16.8.2) and Intel Parallel Studio XE 2020 Cluster Edition Update 4 (The Intel C++ compiler version is 19.1.3.311)

I have seen through the forum that there was many problems encountered for the compatibility of VS2019 and Intel C++ compiler these last months. As a biginner I was not aware of all these issues and I don't know what to do. Currenly I can't compile with the intel C++ compiler and I have not the possibility to go back to another version of VS2019 because I purchased the latest version and I don't know how to get an older one (I saw that the VS2019 16.7.2. might be compatible? Compatibility

Could you tell me if there will be an update of XE (may be update 5) to solve this issue ? And when it could be available ? Alternatively, how could I get a newer version of VS2019 ?

Regards

read some discussion showing that the problem

0 Kudos
4 Replies
Gopika_Intel
Moderator
313 Views

Hi



Thank you for posting in Intel C++ Compiler forum.


1.    The latest version of Parallel Studio XE is 2020 update 4. And about update 5, we’ll connect with the internal team and get back to you.

2.    “ Alternatively, how could I get a newer version of VS2019” . We are assuming that you want an older version of Visual Studio 2019. The below link is about downgrading Visual studio 2019 to an earlier version.

Link: https://docs.microsoft.com/en-us/visualstudio/releases/2019/history#installing-an-earlier-release


Hope this helps you.


Regards

Gopika


Gopika_Intel
Moderator
283 Views

Hi,

Was the issue resolved after downgrading to older version of Visual studio 2019...let us know your updates.

Regards

Gopika


PASantoni
Beginner
277 Views

Hi Gopika,

Thank you for your help. The issue was resolved after downgrading VS2019.

Compatibility is ok for compilation and  build with VS2019 16.7.2 and Intel XE update 4.

Regards

P.A.

 

Gopika_Intel
Moderator
266 Views

Hi,

Thank you for the update. We would also like to add that the compatibility issues are fixed in the latest versions of oneapi products. We urge you to try the same. As the issue you are facing is resolved, we are closing this thread. We would no longer be monitoring this thread. For further issues and queries please raise a new thread.

Regards

Gopika

 

Reply